Bug 1289328 - SELinux is preventing cupsd from rename access on the file /etc/cups/printers.conf.
SELinux is preventing cupsd from rename access on the file /etc/cups/printers...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 16:20 EST by Brandon J. Wyman
Modified: 2016-12-20 11:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:44:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon J. Wyman 2015-12-07 16:20:48 EST
Description of problem:
While following journalctl, noted SELinux blocking cupsd from modifying its own configuration file.

python3[19022]: SELinux is preventing cupsd from rename access on the file /etc/cups/printers.conf.
                                                        
                                                        *****  Plugin restorecon (99.5 confidence) suggests   ************************
                                                        
                                                        If you want to fix the label. 
                                                        /etc/cups/printers.conf default label should be cupsd_rw_etc_t.
                                                        Then you can run restorecon.
                                                        Do
                                                        # /sbin/restorecon -v /etc/cups/printers.conf
                                                        
                                                        *****  Plugin catchall (1.49 confidence) suggests   **************************
                                                        
                                                        If you believe that cupsd should be allowed rename access on the printers.conf file by default.
                                                        Then you should report this as a bug.
                                                        You can generate a local policy module to allow this access.
                                                        Do
                                                        allow this access for now by executing:
                                                        # grep cupsd /var/log/audit/audit.log | audit2allow -M mypol
                                                        # semodule -i mypol.pp


Version-Release number of selected component (if applicable): 2.1.2-1
Name        : cups
Arch        : x86_64
Epoch       : 1
Version     : 2.1.2
Release     : 1.fc23
Size        : 4.8 M
Repo        : @System
From repo   : updates
Summary     : CUPS printing system
URL         : http://www.cups.org/
License     : GPLv2
Description : CUPS printing system provides a portable printing layer for
            : UNIX® operating systems. It has been developed by Apple Inc.
            : to promote a standard printing solution for all UNIX vendors and users.
            : CUPS provides the System V and Berkeley command-line interfaces.


How reproducible:
Occurs occasionally, especially during dnf update with cups update.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results: No complaint from SELinux.


Additional info:
Comment 1 Jiri Popelka 2015-12-08 09:33:18 EST
Does the /etc/cups/printers.conf have correct context ?

# ls -lZ /etc/cups/printers.conf

should show

system_u:object_r:cupsd_rw_etc_t:s0

If not, please run

# restorecon -v /etc/cups/printers.conf
Comment 2 Brandon J. Wyman 2016-02-12 13:49:04 EST
$ ls -lZ /etc/cups/printers.conf
-rw-------. 1 root lp system_u:object_r:cupsd_rw_etc_t:s0 2751 Feb 12 11:56 /etc/cups/printers.conf
$
Comment 3 Fedora Admin XMLRPC Client 2016-06-24 06:30:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 09:02:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:44:15 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.